package com.realnet.clock.Services;
import com.realnet.clock.Repository.ClockRepository;
import com.realnet.clock.Entity.Clock
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;




	import org.springframework.stereotype.Service;

@Service
 public class ClockService {
@Autowired
private ClockRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;



public Clock Savedata(Clock data) {




	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Clock save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Clock> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Clock> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Clock> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Clock getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Clock update(Clock data,Integer id) {
	Clock old = Repository.findById(id).get();
old.setCurrenttime(data.getCurrenttime());

old.setTimezone(data.getTimezone());

final Clock test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 




 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
